<?php

/**
 * @file
 * The accordian style plugin that is part of Panopoly Theme
 */

// Plugin definition
$plugin = array(
  'title' => t('Sidebar Style'),
  'description' => t('Make panel appear as sidebar.'),
  'render region' => 'wcm_panels_settings_sidebar_style_render_region',
  'hook theme' => array(
    'sidebar_panel' => array(
      'variables' => array(
        'content' =>   NULL,
        'style_attributes' => array(),
      ),
      'path' => drupal_get_path('module', 'wcm_panels_settings') . '/plugins/styles/sidebar',
      'template' => 'sidebar',
    ),
  ),
);

/**
 * Render callback.
 *
 * @ingroup themeable
 */
function theme_wcm_panels_settings_sidebar_style_render_region($vars) {

  $style_attributes = array(
    'class' => array(
      'sidebar-panel'
    )
  );

  $content = implode($vars['panes']);

  return theme('sidebar_panel', array(
    'content' => $content,
    'style_attributes' => $style_attributes,
  ));
}
