<?php
/**
 * @file
 * wcm_user_contact.features.field_instance.inc
 */

/**
 * Implements hook_field_default_field_instances().
 */
function wcm_user_contact_field_default_field_instances() {
  $field_instances = array();

  // Exported field_instance: 'user-user-field_display_on_contact_page'.
  $field_instances['user-user-field_display_on_contact_page'] = array(
    'bundle' => 'user',
    'default_value' => array(
      0 => array(
        'value' => 0,
      ),
    ),
    'deleted' => 0,
    'description' => 'Check this box if this person should be included on the contact page.',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 10,
      ),
      'full' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 11,
      ),
      'leadership_listing' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 0,
      ),
    ),
    'ds_extras_field_template' => '',
    'entity_type' => 'user',
    'field_name' => 'field_display_on_contact_page',
    'label' => 'Display on Contact Page',
    'required' => 0,
    'settings' => array(
      'user_register_form' => 1,
    ),
    'widget' => array(
      'active' => 1,
      'module' => 'options',
      'settings' => array(
        'display_label' => 1,
      ),
      'type' => 'options_onoff',
      'weight' => 10,
    ),
  );

  // Translatables
  // Included for use with string extractors like potx.
  t('Check this box if this person should be included on the contact page.');
  t('Display on Contact Page');

  return $field_instances;
}
