<?php

/**
 * @file
 * Contains a pre-process hook for 'field'.
 */

/**
 * Add classes to field_banner_image_text
 **
 * Implements hook_preprocess_field().
 */

function wcm_omega_preprocess_field(&$vars) {
  $element = $vars['element'];

  if ($element['#field_name'] == 'field_banner_image_text') {
    $fields = array('color', 'location', 'bkground');

    //print classes based on selected options from field
    foreach ($fields as $field) {
      $field_name = 'field_banner_image_text_' . $field;
      if (isset($element['#object']->{$field_name}['und'][0]['value'])) {
        $vars['classes_array'][] = $element['#object']->{$field_name}['und'][0]['value'];
      }
    }
  }
}
